<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<liferay-util:body-bottom
	outputKey="addContentMenu"
>

	<%
	String portletNamespace = PortalUtil.getPortletNamespace(ProductNavigationControlMenuPortletKeys.PRODUCT_NAVIGATION_CONTROL_MENU);
	%>

	<div class="cadmin closed d-print-none lfr-add-panel lfr-admin-panel sidenav-fixed sidenav-menu-slider sidenav-right" id="<%= portletNamespace %>addPanelId">
		<div class="sidebar sidebar-inverse sidebar-light sidenav-menu">
			<div class="d-flex justify-content-between p-3 sidebar-header">
				<h1 class="sr-only"><liferay-ui:message key="widget-selection-panel" /></h1>

				<span class="font-weight-bold"><liferay-ui:message key="add" /></span>

				<a aria-label="<%= LanguageUtil.get(request, "close") %>" class="sidenav-close text-secondary" href="javascript:void(0);">
					<aui:icon cssClass="icon-monospaced" image="times" markupView="lexicon" />
				</a>
			</div>

			<div class="sidebar-body"></div>
		</div>
	</div>

	<aui:script>
		var addToggle = document.getElementById('<%= portletNamespace %>addToggleId');

		Liferay.SideNavigation.initialize(addToggle);

		Liferay.once('screenLoad', () => {
			Liferay.SideNavigation.destroy(addToggle);
		});
	</aui:script>
</liferay-util:body-bottom>